SDL_HINT_INVALID_PARAM_CHECKS(3)

NAME
SDL_HINT_INVALID_PARAM_CHECKS - Set the level of checking for invalid parameters passed to SDL functions.

SYNOPSIS
#include <SDL3/SDL_hints.h>

#define SDL_HINT_INVALID_PARAM_CHECKS "SDL_INVALID_PARAM_CHECKS"

DESCRIPTION
The variable can be set to the following values:

• "1": Enable fast parameter error checking, e.g. quick NULL checks, etc.

• "2": Enable full parameter error checking, e.g. validating objects are the correct type, etc. (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.4.0.